@echo off
REM
REM $Log:   //reebok/xyzL/JavaComp/webpack/samples/WEATHE~1/doReadW.cmd  $
@REM 
@REM    Rev 1.3.1.1   09 Jan 1998 11:11:02   jdonohue
@REM Change package name to samples.weatherchart
@REM 
@REM    Rev 1.3   12 Dec 1997 08:29:12   jdonohue
@REM Added more error checking, comments, usage message
@REM 
@REM    Rev 1.2   26 Nov 1997 15:42:32   jdonohue
@REM Remodelled batch files to use common environment variables
REM

REM
REM doReadW.cmd - Runs ReadWeather (called by ATstart.cmd)
REM

REM These are set by caller (ATSTART.CMD)
REM 
REM  DEMODRIVE  identifies the install drive for kona webpack.
REM  DEMOROOT   identifies the install directory for kona webpack.
REM  DEMOLOC    identifies the install directory for weatherchart files
REM

if .%DEMODRIVE%==. goto abort
if .%DEMOLOC%==. goto abort
if .%DEMOROOT%==. goto abort
if not exist %DEMODRIVE%%DEMOLOC% goto abort2
if not exist %DEMODRIVE%%DEMOROOT% goto abort2

%DEMODRIVE%
cd %DEMOLOC%


@echo " "                      >> rweather.log
@echo Starting ReadWeather at: >> rweather.log
time /T                        >> rweather.log

REM
REM You must edit 2 environment variables to reflect the following:
REM (1) The install-directory of the Kona webpack files, and
REM (2) your proxy server, if any.
REM
REM Modify the value of RWPROXY such this it identifies
REM your proxy server. Example: if your proxy is 'myproxy' and it uses
REM port #5000, use 'SET RWPROXY=myproxy:5000'
REM
SET RWPROXY=screen:8080


jview /cp:p %DEMODRIVE%%DEMOROOT% samples.weatherchart.ReadWeather wchart.dat %RWPROXY% /tEST >> rweather.log

@echo ReadWeather completed at: >> rweather.log
time /T                         >> rweather.log
@echo " "                       >> rweather.log
goto end

:abort
@echo DEMODRIVE, DEMOLOC, DEMOROOT must be defined
@echo DEMODRIVE=%DEMODRIVE%
@echo DEMOROOT=%DEMOROOT%
@echo DEMOLOC=%DEMOLOC%
pause
goto end

:abort2
@echo Directories %DEMOLOC%, %DEMOROOT% must exist
pause

:end
